View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
19631Bug reportsCentral participant databasepublic2024-07-10 16:38
Reportertibor.pacalat Assigned Totibor.pacalat  
PrioritynoneSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version6.5.x 
Summary19631: Very hard to match attributes in the CPDB when importing CSV data
Description

When a user wants to upload a CSV to the CPDB the attributes in the CSV file have to be matched with attributes in the CPDB.
Unfortunately, there is a bug: the attribute in the first line seems to be locked horizontally when doing drag and drop. However, if you move the mouse to a lower position you can move the item.
Please see attached screencast. I could also replicate the issue.

Steps To Reproduce

Steps to reproduce

(Replace this text with detailed step-by-step instructions on how to reproduce the issue)

Expected result

(Write here what you expected to happen)

Actual result

(Write here what happened instead)

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)6.5.14+240624
I will donate to the project if issue is resolvedNo
Browser
Database type & version.
Server OS (if known)
Webserver software & version (if known)
PHP Version.

Users monitoring this issue

There are no users monitoring this issue.

Activities

tibor.pacalat

tibor.pacalat

2024-06-26 13:47

administrator   ~80466

gabrieljenik

gabrieljenik

2024-07-09 15:19

manager   ~80569

https://github.com/LimeSurvey/LimeSurvey/pull/3908

The problem started when those items that need to be moved were given the class card.
I found that it had to do with the animation of the panels on the main screen of Lime (not expected to be related).

The animation JS script affected ALL the ".cards" that are floating around. I limited it to the welcome ones and that got it solved.

Now… as I said in the code comment, that animation doesn't work.
So maybe we should add a new ticket for it.

In previous versions, the .panels were hidden by css (.welcome .panel in adminbasics.css) and were shown with the JS. When they were moved to .card (for BS 5), the CSS wasn't updated.
It's not clear to me if the CSS needs to be fixed or the animation should be discarded.

There are other rules related to those panels in the CSS, which I suppose shouldn't be applied and can be deleted. But it's also not clear how the CSS is setup at the moment (they're in 'build' but I don't see a source). Maybe they come from the admin theme build?

To follow up on another ticket.

DenisChenu

DenisChenu

2024-07-09 16:50

developer   ~80586

Just delete animation … animation not needed here.

DenisChenu

DenisChenu

2024-07-09 18:18

developer   ~80595

@Gabriel : you report the issue about JS to be removed (i choose my word : not fix, remove ;))

gabrieljenik

gabrieljenik

2024-07-10 15:45

manager   ~80600

Done

tibor.pacalat

tibor.pacalat

2024-07-10 16:32

administrator   ~80602

This issue has been fixed.

guest

guest

2024-07-10 16:33

viewer   ~80603

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=36450

Related Changesets

LimeSurvey: master 9dc2b8e4

2024-07-10 16:32:56

Gabriel Jenik


Committer: GitHub Details Diff
Fixed issue 19631: Very hard to match attributes in the CPDB when importing CSV data (03908)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Affected Issues
19631
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
mod - assets/packages/adminbasics/src/components/panelsanimation.js Diff File

Issue History

Date Modified Username Field Change
2024-06-26 13:43 tibor.pacalat New Issue
2024-06-26 13:43 tibor.pacalat Assigned To => gabrieljenik
2024-06-26 13:43 tibor.pacalat Status new => assigned
2024-06-26 13:47 tibor.pacalat Note Added: 80466
2024-06-26 13:47 tibor.pacalat File Added: Screen-2024-06-26-134652.mp4
2024-06-26 13:47 tibor.pacalat Bug heat 0 => 2
2024-07-09 15:19 gabrieljenik Status assigned => ready for code review
2024-07-09 15:19 gabrieljenik Note Added: 80569
2024-07-09 15:19 gabrieljenik Bug heat 2 => 4
2024-07-09 15:25 gabrieljenik Assigned To gabrieljenik => DenisChenu
2024-07-09 16:50 DenisChenu Note Added: 80586
2024-07-09 16:50 DenisChenu Bug heat 4 => 6
2024-07-09 16:51 DenisChenu Assigned To DenisChenu => gabrieljenik
2024-07-09 16:51 DenisChenu Status ready for code review => in code review
2024-07-09 18:18 DenisChenu Assigned To gabrieljenik => tibor.pacalat
2024-07-09 18:18 DenisChenu Status in code review => ready for testing
2024-07-09 18:18 DenisChenu Note Added: 80595
2024-07-10 15:45 gabrieljenik Note Added: 80600
2024-07-10 16:32 tibor.pacalat Note Added: 80602
2024-07-10 16:33 Changeset attached => LimeSurvey master 9dc2b8e4
2024-07-10 16:33 guest Note Added: 80603
2024-07-10 16:33 guest Bug heat 6 => 8
2024-07-10 16:38 tibor.pacalat Status ready for testing => resolved
2024-07-10 16:38 tibor.pacalat Resolution open => fixed